Bug 887451 - CVE-2012-5640 thttpd: Denial of Service when using glibc, crypt() can return NULL [epel-all] [NEEDINFO]
Summary: CVE-2012-5640 thttpd: Denial of Service when using glibc, crypt() can return ...
Status: ON_QA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: thttpd   
(Show other bugs)
Version: el6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=pjp
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-5640
TreeView+ depends on / blocked
 
Reported: 2012-12-15 12:17 UTC by Kurt Seifried
Modified: 2016-08-29 12:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pj.pandit: needinfo? (matthias)


Attachments (Terms of Use)

Description Kurt Seifried 2012-12-15 12:17:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Kurt Seifried 2012-12-15 12:17:22 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=887449,887451

Comment 2 pjp 2014-11-01 10:43:15 UTC
Upstream fix seems to be available for long, thttpd-2.25b

  -> https://bugzilla.novell.com/show_bug.cgi?id=783165#c13

Could you please have a look?

Comment 3 pjp 2014-11-01 10:48:50 UTC
Also see
  -> https://build.opensuse.org/request/show/157924#

Comment 4 pjp 2014-11-13 12:24:26 UTC
Hello Matthias, you plan to fix it?

Comment 5 Fedora Update System 2015-11-28 21:52:46 UTC
thttpd-2.25b-35.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-28076d0830

Comment 6 Fedora Update System 2015-11-28 23:38:39 UTC
thttpd-2.25b-24.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-35e240edd9

Comment 7 Fedora Update System 2015-11-29 00:16:33 UTC
thttpd-2.25b-24.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-582c8075e6

Comment 8 Fedora Update System 2015-11-29 21:47:25 UTC
thttpd-2.25b-24.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update thttpd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-582c8075e6

Comment 9 Fedora Update System 2015-11-29 21:50:30 UTC
thttpd-2.25b-24.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update thttpd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-35e240edd9

Comment 10 Fedora Update System 2015-11-29 23:53:12 UTC
thttpd-2.25b-35.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thttpd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-28076d0830

Comment 11 Fedora Update System 2016-01-16 21:52:28 UTC
thttpd-2.25b-37.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-06a7c972e8

Comment 12 Fedora Update System 2016-01-17 19:54:31 UTC
thttpd-2.25b-37.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-06a7c972e8

Comment 13 pjp 2016-08-29 12:11:37 UTC
Hi,

Did this update reach -stable repos? Please close this if no action pending.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.